Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Statement_Set

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.Statement
                  rdlc.sw.Statement_Expr
                      rdlc.sw.Statement_Set

All Implemented Interfaces:
  Expression, Field

    public class Statement_Set

extends Statement_Expr

A statement which performs an assignment.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Expression` | `lVal` An expression which evaluates to the value being assigned.

Fields inherited from class rdlc.sw.Statement_Expr
`rVal`

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Statement_Set(Instance _instance, Expression _lVal, Expression _rVal)` Simple constructor, merely records its arguments.

Method Summary
`Expression` | `getLValue()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Statement_Expr
`copy, getRValue`

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### lVal

    protected Expression lVal

  An expression which evaluates to the value being assigned.

Constructor Detail

### Statement_Set

    public Statement_Set(Instance _instance,
                         Expression _lVal,
                         Expression _rVal)

  Simple constructor, merely records its arguments.

  Parameters:
    `_instance` - The instance to add this statement to.
    `_rVal` - The expression this statement will evaluate.
    `_lVal` - An expression which evaluates to the value being assigned.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Statement_Expr`
  Returns:
    A human readable representation of this statement for debugging.

### getLValue

    public Expression getLValue()

  Simple accessor.

  Returns:
    An expression which evaluates to the value being assigned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD